## gnome-shell-extension-hamster 0.10.0+git20210628

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/{{ cookiecutter.project_slug }}.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/{{ cookiecutter.project_slug }}.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/{{ cookiecutter.project_slug }}"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/{{ cookiecutter.project_slug }}"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## gnome-shell-extension-hamster 0.10.0+git20200509

=== debian/changelog ===
gnome-shell-extension-hamster (0.10.0+git20200509-2) unstable; urgency=medium

  * No change source only upload.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 03 Feb 2021 18:40:08 +0100

gnome-shell-extension-hamster (0.10.0+git20200509-1) unstable; urgency=medium

  * Initial release (Closes: #975974)

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 27 Nov 2020 14:45:40 +0100

=== debian/control ===
Source: gnome-shell-extension-hamster
Section: gnome
Priority: optional
Maintainer: Project Hamster Team <team+project-hamster@tracker.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>, Matthijs Kooijman <matthijs@stdin.nl>
Build-Depends: debhelper-compat (= 13),
# For the docs
 sphinx,
# For glib-compile-schemas
 libglib2.0-bin
Standards-Version: 4.5.1
Homepage: https://github.com/projecthamster/hamster-shell-extension/
Vcs-Browser: https://salsa.debian.org/projecthamster-team/gnome-shell-extension-hamster
Vcs-Git: https://salsa.debian.org/projecthamster-team/gnome-shell-extension-hamster.git
Rules-Requires-Root: no

Package: gnome-shell-extension-hamster
Architecture: all
Depends:
 hamster-time-tracker,
 gnome-shell (>= 3.38),
 ${misc:Depends}
Description: GNOME Shell extension for the Hamster Time Tracker
 Project Hamster helps you to keep track of how much time you spend on various
 activities during the day. Whenever you move from one task to another, you
 can change your current activity, or you can record time spent afterwards.
 .
 It can present graphical statistics of how long you have spent on each task,
 and may be useful for project management or keeping employee timesheets.
 .
 This package provides a GNOME Shell extension allowing to quickly enter new
 activities from GNOME's desktop top bar.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make dist

override_dh_auto_install:
	# We need to override because DESTDIR needs /usr in it
	make install DESTDIR=$(CURDIR)/debian/gnome-shell-extension-hamster/usr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d.*)\.tar\.gz%@PACKAGE@-$1.tar.gz%, \
      uversionmangle=s%-(rc\d+|beta|)%~$1%" \
https://github.com/projecthamster/hamster-shell-extension/tags \
        .*/archive/v?@ANY_VERSION@.tar.gz

## gnome-shell-extension-hamster 0.10.0+git20210628

=== debian/changelog ===
gnome-shell-extension-hamster (0.10.0+git20210628-4) unstable; urgency=medium

  [ Jesús Soto ]
  * Add patch to mark compatible with GNOME Shell 43
  * debian/control: Bump maximum gnome-shell to 43 (Closes: #1018269)

  [ Raphaël Hertzog ]
  * Bump Standards-Version to 4.6.1

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 12 Sep 2022 11:49:25 +0200

gnome-shell-extension-hamster (0.10.0+git20210628-3) unstable; urgency=medium

  * Document compatibility with GNOME 42 (Closes: #1008549)

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 31 Mar 2022 22:49:01 +0200

gnome-shell-extension-hamster (0.10.0+git20210628-2) unstable; urgency=medium

  * Document compatibility with GNOME Shell 41.
    Tighten the gnome-shell dependency to not allow usage with gnome-shell 42.
    (Closes: #996060)

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 18 Oct 2021 15:15:36 +0200

gnome-shell-extension-hamster (0.10.0+git20210628-1) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0
  * New upstream version 0.10.0+git20210628
    - Documents compatibility with GNOME 40. Closes: #993186

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 22 Sep 2021 10:32:08 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  sphinx,
 # For glib-compile-schemas
  libglib2.0-bin
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/projecthamster/hamster-shell-extension/
 Vcs-Browser: https://salsa.debian.org/projecthamster-team/gnome-shell-extension-hamster
 Vcs-Git: https://salsa.debian.org/projecthamster-team/gnome-shell-extension-hamster.git
@@ -19,6 +19,7 @@
 Depends:
  hamster-time-tracker,
  gnome-shell (>= 3.38),
+ gnome-shell (<< 44~),
  ${misc:Depends}
 Description: GNOME Shell extension for the Hamster Time Tracker
  Project Hamster helps you to keep track of how much time you spend on various

## gnome-shell-extension-hamster 0.10.0+git20240714

=== debian/changelog ===
gnome-shell-extension-hamster (0.10.0+git20240714-3) unstable; urgency=medium

  * Add patch to support GNOME 48. Closes: #1096048

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 14 Mar 2025 12:08:13 +0100

gnome-shell-extension-hamster (0.10.0+git20240714-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add patch to mark compatible with GNOME Shell 47 (Closes: #1079250)
  * Bump maximum GNOME Shell to 47

  [ Raphaël Hertzog ]
  * Bump Standards-Version to 4.7.0

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 22 Sep 2024 14:42:07 +0200

gnome-shell-extension-hamster (0.10.0+git20240714-1) unstable; urgency=medium

  * Acknowledge NMU. Reupload as it seems the NMU got lost in the delayed
    queue. (Closes: #1052101)

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 22 Jul 2024 21:24:12 +0200

gnome-shell-extension-hamster (0.10.0+git20240714-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream git snaphsot with GNOME Shell 46 compat. (Closes: #1052101)
  * Update version constraints on gnome-shell, as this version is only
    compatible with GNOME Shell 45 and up.

 -- Tobias Frost <tobi@debian.org>  Sun, 14 Jul 2024 09:43:35 +0200

gnome-shell-extension-hamster (0.10.0+git20230901-1) unstable; urgency=medium

  * New upstream git snapshot with GNOME Shell 44 compat. (Closes: #1041574)
  * Removes all patches.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 01 Sep 2023 08:43:28 +0200

gnome-shell-extension-hamster (0.10.0+git20210628-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update compatilbity patch for GNOME shell 44. (Closes: #1041574)

 -- Tobias Frost <tobi@debian.org>  Tue, 29 Aug 2023 10:58:19 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  sphinx,
 # For glib-compile-schemas
  libglib2.0-bin
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/projecthamster/hamster-shell-extension/
 Vcs-Browser: https://salsa.debian.org/projecthamster-team/gnome-shell-extension-hamster
 Vcs-Git: https://salsa.debian.org/projecthamster-team/gnome-shell-extension-hamster.git
@@ -18,8 +18,8 @@
 Architecture: all
 Depends:
  hamster-time-tracker,
- gnome-shell (>= 3.38),
- gnome-shell (<< 44~),
+ gnome-shell (>= 45),
+ gnome-shell (<< 49~),
  ${misc:Depends}
 Description: GNOME Shell extension for the Hamster Time Tracker
  Project Hamster helps you to keep track of how much time you spend on various

## gnome-shell-extension-hamster 0.10.0+git20251003

=== Makefile ===
# Sphinx directories
SPHINX_BUILDDIR = _build
SPHINX_TEST_SPHINX_BUILDDIR = _test_build

# Directory to collect all sourc file to in order to build.
BUILDDIR = build
# Distination installation directory
DESTDIR := /usr/local
# Directory to save a 'ready to deploy extension' archive
DISTDIR = dist
# Extension "UUID" to use, default: contact@projecthamster.org
UUID := contact@projecthamster.org

# Script to lauch a browser in order to open passed path.
define BROWSER_PYSCRIPT
import os, webbrowser, sys
try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

BROWSER := python -c "$$BROWSER_PYSCRIPT"

.PHONY: docs clean

.NOTPARALLEL: clean-build collect

help:
	@echo "Please use 'make <target>' where <target> is one of"
	@echo "   clean"
	@echo "   clean-build		to clean the build directory of any leftovers."
	@echo "   clean-docs"
	@echo "   collect			to collect all required files to the build directory."
	@echo "   compile			to compile file that needs to be shipped as a binary."
	@echo "   develop			to install (or update) all packages required for development"
	@echo "   dist				to package a release as a ready to deploy extension archive"
	@echo "   gettext-catalogue to generate a new gettext catalogue"
	@echo "   open-docs			to build and open the documentation"
	@echo "   test-style		to run the code against a set of stylechecks and linter."
	@echo "						(Requires JSHint)."
	@echo "   test-docs			to run automated tests on the documentation."

clean: clean-build clean-docs clean-test-docs clean-data
	rm -f dist/*

clean-data:
	rm -f data/metadata.json

clean-build:
	rm -fr build

clean-docs:
	$(MAKE) -C docs clean SPHINX_BUILDDIR=$(SPHINX_BUILDDIR)

clean-test-docs:
	$(MAKE) -C docs clean SPHINX_BUILDDIR=$(SPHINX_TEST_SPHINX_BUILDDIR)

$(BUILDDIR):
	mkdir -p $@

data/metadata.json:	data/metadata.json.in
	sed 's/@UUID@/"$(UUID)"/' $< >$@

collect:	$(BUILDDIR) data/metadata.json
	cp -R extension/* $(BUILDDIR)
	cp -R data/* $(BUILDDIR)
	rm -f $(BUILDDIR)/metadata.json.in

compile: collect
	glib-compile-schemas $(BUILDDIR)/schemas
	find $(BUILDDIR) -name \*.po -execdir msgfmt hamster-shell-extension.po -o hamster-shell-extension.mo \;

gettext-catalogue:
	find ./extension/ -type f -name '*.js' -print > list
	xgettext -L JavaScript --from-code=UTF-8 --files-from=list -k_ -kN_ -o  ./messages.pot
	rm ./list

develop:
	pip install -U pip setuptools wheel
	pip install -U -r requirements.pip

dist: compile
# We need to do this like this as 'zip' always uses the cwd as archive root.
# And for the extension to work extension.js etc. need to be at the root.
	mkdir -p $(DISTDIR);
	cd $(BUILDDIR); zip -rq ../dist/$(UUID).zip ./* || true
	cd $(BUILDDIR); tar -czf ../dist/$(UUID).tar.gz *
	@ls -l dist

docs:
	$(MAKE) -C docs clean
	$(MAKE) -C docs html

open-docs: docs
	$(BROWSER) docs/_build/html/index.html

test-docs:
	make docs SPHINX_BUILDDIR=$(SPHINX_TEST_SPHINX_BUILDDIR) SPHINXOPTS='-W'
	make -C docs linkcheck SPHINX_BUILDDIR=$(SPHINX_TEST_SPHINX_BUILDDIR)

test-style:
	jshint --config .jshint.cfg extension/

.PHONY: install install-user
install-user: DESTDIR="${HOME}/.local"
install-user: install

install: dist
	[ -n "$(DESTDIR)" ]
	rm -rf $(DESTDIR)/share/gnome-shell/extensions/$(UUID)
	mkdir -p $(DESTDIR)/share/gnome-shell/extensions/$(UUID)
	tar xfz dist/$(UUID).tar.gz -C $(DESTDIR)/share/gnome-shell/extensions/$(UUID)

=== debian/changelog ===
gnome-shell-extension-hamster (0.10.0+git20251003-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Automatically update supported GNOME Shell versions by parsing metadata.json

  [ Raphaël Hertzog ]
  * New upstream version 0.10.0+git20251003

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 03 Oct 2025 09:52:24 +0200

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
 Architecture: all
 Depends:
  hamster-time-tracker,
- gnome-shell (>= 45),
- gnome-shell (<< 49~),
+ gnome-shell (>= ${gnome:MinimumVersion}~),
+ gnome-shell (<< ${gnome:MaximumVersion}~),
  ${misc:Depends}
 Description: GNOME Shell extension for the Hamster Time Tracker
  Project Hamster helps you to keep track of how much time you spend on various

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,10 @@
 override_dh_auto_install:
 	# We need to override because DESTDIR needs /usr in it
 	make install DESTDIR=$(CURDIR)/debian/gnome-shell-extension-hamster/usr
+
+override_dh_gencontrol:
+	dh_gencontrol -- \
+		-Vgnome:MinimumVersion=$(shell python3 -c "import json; \
+		print(min(int(x) for x in json.load(open('data/metadata.json', 'rt'))['shell-version']))") \
+		-Vgnome:MaximumVersion=$(shell python3 -c "import json; \
+		print(1+max(int(x) for x in json.load(open('data/metadata.json', 'rt'))['shell-version']))")
